/[cvs]/ccvs/configure
ViewVC logotype

Diff of /ccvs/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 1.409 by scjones, Sat Sep 3 20:46:04 2005 UTC revision 1.410 by dprice, Sun Sep 4 06:01:58 2005 UTC
# Line 976  Optional Features: Line 976  Optional Features:
976  Optional Packages:  Optional Packages:
977    --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]    --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
978    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
979    --without-included-regex don't compile regex; this is the default on    --without-included-regex
980                            systems with recent-enough versions of the GNU C                            don't compile regex; this is the default on systems
981                            Library (use with caution on other systems)                            with recent-enough versions of the GNU C Library
982                              (use with caution on other systems)
983    --with-gnu-ld           assume the C compiler uses GNU ld default=no    --with-gnu-ld           assume the C compiler uses GNU ld default=no
984    --with-libiconv-prefix[=DIR]  search for libiconv in DIR/include and DIR/lib    --with-libiconv-prefix[=DIR]  search for libiconv in DIR/include and DIR/lib
985    --without-libiconv-prefix     don't search for libiconv in includedir and libdir    --without-libiconv-prefix     don't search for libiconv in includedir and libdir
# Line 1473  gl_header_list="$gl_header_list sys/time Line 1474  gl_header_list="$gl_header_list sys/time
1474  gl_func_list="$gl_func_list isascii"  gl_func_list="$gl_func_list isascii"
1475  gl_header_list="$gl_header_list sys/param.h"  gl_header_list="$gl_header_list sys/param.h"
1476  gl_header_list="$gl_header_list stdio_ext.h"  gl_header_list="$gl_header_list stdio_ext.h"
1477    gl_header_list="$gl_header_list termios.h"
1478    gl_func_list="$gl_func_list __fsetlocking"
1479    gl_func_list="$gl_func_list tcgetattr"
1480    gl_func_list="$gl_func_list tcsetattr"
1481  gl_func_list="$gl_func_list gettimeofday"  gl_func_list="$gl_func_list gettimeofday"
1482  gl_func_list="$gl_func_list nanotime"  gl_func_list="$gl_func_list nanotime"
1483  gl_header_list="$gl_header_list stdint.h"  gl_header_list="$gl_header_list stdint.h"
# Line 10851  _ACEOF Line 10856  _ACEOF
10856    fi    fi
10857    
10858    
10859    GETOPT_H=    if test -z "$GETOPT_H"; then
10860    
10861  for ac_header in getopt.h  for ac_header in getopt.h
10862  do  do
# Line 11004  fi Line 11009  fi
11009    
11010  done  done
11011    
11012      fi
11013    
11014    if test -z "$GETOPT_H"; then    if test -z "$GETOPT_H"; then
11015    
11016  for ac_func in getopt_long_only  for ac_func in getopt_long_only
# Line 11384  fi Line 11391  fi
11391    
11392    
11393    
11394    
11395    
11396    
11397    
11398    
11399    
11400    
11401    
11402    
11403    
11404    
11405    
11406    
11407    
11408    
11409    
11410    
11411    
11412    
11413    
11414    
11415    
11416    
11417    
11418        echo "$as_me:$LINENO: checking whether fflush_unlocked is declared" >&5        echo "$as_me:$LINENO: checking whether fflush_unlocked is declared" >&5
11419  echo $ECHO_N "checking whether fflush_unlocked is declared... $ECHO_C" >&6  echo $ECHO_N "checking whether fflush_unlocked is declared... $ECHO_C" >&6
11420  if test "${ac_cv_have_decl_fflush_unlocked+set}" = set; then  if test "${ac_cv_have_decl_fflush_unlocked+set}" = set; then
# Line 19822  esac Line 19853  esac
19853    
19854    
19855    
19856    
19857    
19858    
19859      :
19860    
19861    
19862    
19863    
19864    
19865    
19866    
19867    
19868    
19869    
19870    
19871    
19872    :    :
19873    
19874    
# Line 19840  esac Line 19887  esac
19887    
19888    
19889    
   :  
19890    
19891    
19892  cat >>confdefs.h <<\_ACEOF  cat >>confdefs.h <<\_ACEOF
# Line 21952  fi Line 21998  fi
21998    
21999    
22000    
22001    cat >>confdefs.h <<\_ACEOF
22002    #define _REGEX_LARGE_OFFSETS 1
22003    _ACEOF
22004    
22005    
22006    
22007    
22008    
22009      # Assume we'll default to using the included regex.c.  # Check whether --with-included-regex or --without-included-regex was given.
22010      ac_use_included_regex=yes  if test "${with_included_regex+set}" = set; then
22011      withval="$with_included_regex"
22012    
22013      # However, if the system regex support is good enough that it passes the  fi;
22014      # the following run test, then default to *not* using the included regex.c.  
22015      case $with_included_regex in
22016      yes|no) ac_use_included_regex=$with_included_regex
22017            ;;
22018      '')
22019        # If the system regex support is good enough that it passes the the
22020        # following run test, then default to *not* using the included regex.c.
22021      # If cross compiling, assume the test would fail and use the included      # If cross compiling, assume the test would fail and use the included
22022      # regex.c.  The first failing regular expression is from `Spencer ere      # regex.c.  The first failing regular expression is from `Spencer ere
22023      # test #75' in grep-2.3.      # test #75' in grep-2.3.
22024      echo "$as_me:$LINENO: checking for working re_compile_pattern" >&5      echo "$as_me:$LINENO: checking for working re_compile_pattern" >&5
22025  echo $ECHO_N "checking for working re_compile_pattern... $ECHO_C" >&6  echo $ECHO_N "checking for working re_compile_pattern... $ECHO_C" >&6
22026  if test "${gl_cv_func_working_re_compile_pattern+set}" = set; then  if test "${gl_cv_func_re_compile_pattern_broken+set}" = set; then
22027    echo $ECHO_N "(cached) $ECHO_C" >&6    echo $ECHO_N "(cached) $ECHO_C" >&6
22028  else  else
22029    if test "$cross_compiling" = yes; then    if test "$cross_compiling" = yes; then
22030           gl_cv_func_working_re_compile_pattern=no           gl_cv_func_re_compile_pattern_broken=yes
22031  else  else
22032    cat >conftest.$ac_ext <<_ACEOF    cat >conftest.$ac_ext <<_ACEOF
22033  /* confdefs.h.  */  /* confdefs.h.  */
# Line 21978  cat confdefs.h >>conftest.$ac_ext Line 22036  cat confdefs.h >>conftest.$ac_ext
22036  cat >>conftest.$ac_ext <<_ACEOF  cat >>conftest.$ac_ext <<_ACEOF
22037  /* end confdefs.h.  */  /* end confdefs.h.  */
22038  $ac_includes_default  $ac_includes_default
22039               #include <regex.h>             #include <regex.h>
22040  int  int
22041  main ()  main ()
22042  {  {
22043  static struct re_pattern_buffer regex;  static struct re_pattern_buffer regex;
22044                const char *s;              const char *s;
22045                struct re_registers regs;              struct re_registers regs;
22046                re_set_syntax (RE_SYNTAX_POSIX_EGREP);              /* Use the POSIX-compliant spelling with leading REG_,
22047                memset (&regex, 0, sizeof (regex));                 rather than the traditional GNU spelling with leading RE_,
22048                s = re_compile_pattern ("a[:]:]b\n", 9, &regex);                 so that we reject older libc implementations.  */
22049                /* This should fail with _Invalid character class name_ error.  */              re_set_syntax (REG_SYNTAX_POSIX_EGREP);
22050                if (!s)              memset (&regex, 0, sizeof (regex));
22051                  exit (1);              s = re_compile_pattern ("a[:]:]b\n", 9, &regex);
22052                /* This should fail with _Invalid character class name_ error.  */
22053                /* This should succeed, but does not for e.g. glibc-2.1.3.  */              if (!s)
22054                memset (&regex, 0, sizeof (regex));                exit (1);
22055                s = re_compile_pattern ("{1", 2, &regex);  
22056                /* This should succeed, but does not for e.g. glibc-2.1.3.  */
22057                if (s)              memset (&regex, 0, sizeof (regex));
22058                  exit (1);              s = re_compile_pattern ("{1", 2, &regex);
22059    
22060                /* The following example is derived from a problem report              if (s)
22061                   against gawk from Jorge Stolfi <stolfi@ic.unicamp.br>.  */                exit (1);
22062                memset (&regex, 0, sizeof (regex));  
22063                s = re_compile_pattern ("[an\371]*n", 7, &regex);              /* The following example is derived from a problem report
22064                if (s)                 against gawk from Jorge Stolfi <stolfi@ic.unicamp.br>.  */
22065                  exit (1);              memset (&regex, 0, sizeof (regex));
22066                s = re_compile_pattern ("[an\371]*n", 7, &regex);
22067                /* This should match, but does not for e.g. glibc-2.2.1.  */              if (s)
22068                if (re_match (&regex, "an", 2, 0, &regs) != 2)                exit (1);
22069                  exit (1);  
22070                /* This should match, but does not for e.g. glibc-2.2.1.  */
22071                memset (&regex, 0, sizeof (regex));              if (re_match (&regex, "an", 2, 0, &regs) != 2)
22072                s = re_compile_pattern ("x", 1, &regex);                exit (1);
22073                if (s)  
22074                  exit (1);              memset (&regex, 0, sizeof (regex));
22075                s = re_compile_pattern ("x", 1, &regex);
22076                /* The version of regex.c in e.g. GNU libc-2.2.93 did not              if (s)
22077                   work with a negative RANGE argument.  */                exit (1);
22078                if (re_search (&regex, "wxy", 3, 2, -2, &regs) != 1)  
22079                  exit (1);              /* The version of regex.c in e.g. GNU libc-2.2.93 did not
22080                   work with a negative RANGE argument.  */
22081                /* The version of regex.c in older versions of gnulib              if (re_search (&regex, "wxy", 3, 2, -2, &regs) != 1)
22082                 * ignored RE_ICASE.  Detect that problem too. */                exit (1);
22083                memset (&regex, 0, sizeof (regex));  
22084                re_set_syntax(RE_SYNTAX_EMACS|RE_ICASE);              /* The version of regex.c in older versions of gnulib
22085                s = re_compile_pattern ("x", 1, &regex);                 ignored REG_IGNORE_CASE (which was then called RE_ICASE).
22086                if (s)                 Detect that problem too.  */
22087                  exit (1);              memset (&regex, 0, sizeof (regex));
22088                re_set_syntax (REG_SYNTAX_EMACS | REG_IGNORE_CASE);
22089                if (re_search (&regex, "WXY", 3, 0, 3, &regs) < 0)              s = re_compile_pattern ("x", 1, &regex);
22090                  exit (1);              if (s)
22091                  exit (1);
22092                /* REG_STARTEND was added to glibc on 2004-01-15.  
22093                   Reject older versions.  */              if (re_search (&regex, "WXY", 3, 0, 3, &regs) < 0)
22094                if (! REG_STARTEND)                exit (1);
22095                  exit (1);  
22096                /* REG_STARTEND was added to glibc on 2004-01-15.
22097                   Reject older versions.  */
22098                if (! REG_STARTEND)
22099                  exit (1);
22100    
22101                /* Reject hosts whose regoff_t values are too narrow.
22102                   These include glibc 2.3.5 on hosts with 64-bit off_t
22103                   and 32-bit int, and Solaris 10 on hosts with 32-bit int
22104                   and _FILE_OFFSET_BITS=64.  */
22105                if (sizeof (regoff_t) < sizeof (off_t))
22106                  exit (1);
22107    
22108                exit (0);              exit (0);
22109    ;    ;
22110    return 0;    return 0;
22111  }  }
# Line 22052  if { (eval echo "$as_me:$LINENO: \"$ac_l Line 22121  if { (eval echo "$as_me:$LINENO: \"$ac_l
22121    ac_status=$?    ac_status=$?
22122    echo "$as_me:$LINENO: \$? = $ac_status" >&5    echo "$as_me:$LINENO: \$? = $ac_status" >&5
22123    (exit $ac_status); }; }; then    (exit $ac_status); }; }; then
22124    gl_cv_func_working_re_compile_pattern=yes    gl_cv_func_re_compile_pattern_broken=no
22125  else  else
22126    echo "$as_me: program exited with status $ac_status" >&5    echo "$as_me: program exited with status $ac_status" >&5
22127  echo "$as_me: failed program was:" >&5  echo "$as_me: failed program was:" >&5
22128  sed 's/^/| /' conftest.$ac_ext >&5  sed 's/^/| /' conftest.$ac_ext >&5
22129    
22130  ( exit $ac_status )  ( exit $ac_status )
22131  gl_cv_func_working_re_compile_pattern=no  gl_cv_func_re_compile_pattern_broken=yes
22132  fi  fi
22133  rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext  rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
22134  fi  fi
22135  fi  fi
22136  echo "$as_me:$LINENO: result: $gl_cv_func_working_re_compile_pattern" >&5  echo "$as_me:$LINENO: result: $gl_cv_func_re_compile_pattern_broken" >&5
22137  echo "${ECHO_T}$gl_cv_func_working_re_compile_pattern" >&6  echo "${ECHO_T}$gl_cv_func_re_compile_pattern_broken" >&6
22138      if test $gl_cv_func_working_re_compile_pattern = yes; then      ac_use_included_regex=$gl_cv_func_re_compile_pattern_broken
22139        ac_use_included_regex=no      ;;
22140      fi    *) { { echo "$as_me:$LINENO: error: Invalid value for --with-included-regex: $with_included_regex" >&5
22141    echo "$as_me: error: Invalid value for --with-included-regex: $with_included_regex" >&2;}
     test -n "lib/regex.c" || { { echo "$as_me:$LINENO: error: missing argument" >&5  
 echo "$as_me: error: missing argument" >&2;}  
22142     { (exit 1); exit 1; }; }     { (exit 1); exit 1; }; }
22143        ;;
22144      esac
22145    
22146      if test $ac_use_included_regex = yes; then
22147        case $LIBOBJS in
 # Check whether --with-included-regex or --without-included-regex was given.  
 if test "${with_included_regex+set}" = set; then  
   withval="$with_included_regex"  
   gl_with_regex=$withval  
 else  
   gl_with_regex=$ac_use_included_regex  
 fi;  
         if test "X$gl_with_regex" = Xyes; then  
           case $LIBOBJS in  
22148      "regex.$ac_objext"   | \      "regex.$ac_objext"   | \
22149    *" regex.$ac_objext"   | \    *" regex.$ac_objext"   | \
22150      "regex.$ac_objext "* | \      "regex.$ac_objext "* | \
# Line 22096  esac Line 22156  esac
22156    
22157    
22158    
22159    
22160    :    :
22161    
22162    
# Line 22128  esac Line 22189  esac
22189    
22190    
22191    
22192          fi    fi
   
   
   
22193    
22194    
22195   echo "$as_me:$LINENO: checking whether rename is broken" >&5   echo "$as_me:$LINENO: checking whether rename is broken" >&5
# Line 24750  fi Line 24808  fi
24808    
24809    
24810    
24811          case $LIBOBJS in
24812        "strcasecmp.$ac_objext"   | \
24813      *" strcasecmp.$ac_objext"   | \
24814        "strcasecmp.$ac_objext "* | \
24815      *" strcasecmp.$ac_objext "* ) ;;
24816      *) LIBOBJS="$LIBOBJS strcasecmp.$ac_objext" ;;
24817    esac
24818    
24819  for ac_func in strcasecmp  
24820  do  cat >>confdefs.h <<\_ACEOF
24821  as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`  #define strcasecmp rpl_strcasecmp
24822  echo "$as_me:$LINENO: checking for $ac_func" >&5  _ACEOF
24823  echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6  
24824  if eval "test \"\${$as_ac_var+set}\" = set"; then  
24825    
24826        echo "$as_me:$LINENO: checking whether mbrtowc and mbstate_t are properly declared" >&5
24827    echo $ECHO_N "checking whether mbrtowc and mbstate_t are properly declared... $ECHO_C" >&6
24828    if test "${gl_cv_func_mbrtowc+set}" = set; then
24829    echo $ECHO_N "(cached) $ECHO_C" >&6    echo $ECHO_N "(cached) $ECHO_C" >&6
24830  else  else
24831    cat >conftest.$ac_ext <<_ACEOF    cat >conftest.$ac_ext <<_ACEOF
# Line 24765  _ACEOF Line 24834  _ACEOF
24834  cat confdefs.h >>conftest.$ac_ext  cat confdefs.h >>conftest.$ac_ext
24835  cat >>conftest.$ac_ext <<_ACEOF  cat >>conftest.$ac_ext <<_ACEOF
24836  /* end confdefs.h.  */  /* end confdefs.h.  */
24837  /* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.  #include <wchar.h>
    For example, HP-UX 11i <limits.h> declares gettimeofday.  */  
 #define $ac_func innocuous_$ac_func  
   
 /* System header to define __stub macros and hopefully few prototypes,  
     which can conflict with char $ac_func (); below.  
     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since  
     <limits.h> exists even on freestanding compilers.  */  
   
 #ifdef __STDC__  
 # include <limits.h>  
 #else  
 # include <assert.h>  
 #endif  
   
 #undef $ac_func  
   
 /* Override any gcc2 internal prototype to avoid an error.  */  
 #ifdef __cplusplus  
 extern "C"  
 {  
 #endif  
 /* We use char because int might match the return type of a gcc2  
    builtin and then its argument prototype would still apply.  */  
 char $ac_func ();  
 /* The GNU C library defines this for functions which it implements  
     to always fail with ENOSYS.  Some functions are actually named  
     something starting with __ and the normal name is an alias.  */  
 #if defined (__stub_$ac_func) || defined (__stub___$ac_func)  
 choke me  
 #else  
 char (*f) () = $ac_func;  
 #endif  
 #ifdef __cplusplus  
 }  
 #endif  
   
24838  int  int
24839  main ()  main ()
24840  {  {
24841  return f != $ac_func;  wchar_t wc;
24842                  char const s[] = "";
24843                  size_t n = 1;
24844                  mbstate_t state;
24845                  return ! (sizeof state && (mbrtowc) (&wc, s, n, &state));
24846    ;    ;
24847    return 0;    return 0;
24848  }  }
# Line 24832  if { (eval echo "$as_me:$LINENO: \"$ac_l Line 24869  if { (eval echo "$as_me:$LINENO: \"$ac_l
24869    ac_status=$?    ac_status=$?
24870    echo "$as_me:$LINENO: \$? = $ac_status" >&5    echo "$as_me:$LINENO: \$? = $ac_status" >&5
24871    (exit $ac_status); }; }; then    (exit $ac_status); }; }; then
24872    eval "$as_ac_var=yes"    gl_cv_func_mbrtowc=yes
24873  else  else
24874    echo "$as_me: failed program was:" >&5    echo "$as_me: failed program was:" >&5
24875  sed 's/^/| /' conftest.$ac_ext >&5  sed 's/^/| /' conftest.$ac_ext >&5
24876    
24877  eval "$as_ac_var=no"  gl_cv_func_mbrtowc=no
24878  fi  fi
24879  rm -f conftest.err conftest.$ac_objext \  rm -f conftest.err conftest.$ac_objext \
24880        conftest$ac_exeext conftest.$ac_ext        conftest$ac_exeext conftest.$ac_ext
24881  fi  fi
24882  echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5  echo "$as_me:$LINENO: result: $gl_cv_func_mbrtowc" >&5
24883  echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6  echo "${ECHO_T}$gl_cv_func_mbrtowc" >&6
24884  if test `eval echo '${'$as_ac_var'}'` = yes; then    if test $gl_cv_func_mbrtowc = yes; then
   cat >>confdefs.h <<_ACEOF  
 #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1  
 _ACEOF  
   
 else  
   case $LIBOBJS in  
     "$ac_func.$ac_objext"   | \  
   *" $ac_func.$ac_objext"   | \  
     "$ac_func.$ac_objext "* | \  
   *" $ac_func.$ac_objext "* ) ;;  
   *) LIBOBJS="$LIBOBJS $ac_func.$ac_objext" ;;  
 esac  
   
 fi  
 done  
24885    
24886    cat >>confdefs.h <<\_ACEOF
24887    #define HAVE_MBRTOWC 1
24888    _ACEOF
24889    
24890    if test $ac_cv_func_strcasecmp = no; then    fi
24891    
   :  
24892    
   fi  
24893    
24894    
24895    
# Line 25233  done Line 25256  done
25256    
25257    
25258    
25259          case $LIBOBJS in
25260        "strstr.$ac_objext"   | \
25261      *" strstr.$ac_objext"   | \
25262        "strstr.$ac_objext "* | \
25263      *" strstr.$ac_objext "* ) ;;
25264      *) LIBOBJS="$LIBOBJS strstr.$ac_objext" ;;
25265    esac
25266    
25267  for ac_func in strstr  
25268  do  cat >>confdefs.h <<\_ACEOF
25269  as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`  #define strstr rpl_strstr
25270  echo "$as_me:$LINENO: checking for $ac_func" >&5  _ACEOF
25271  echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6  
25272  if eval "test \"\${$as_ac_var+set}\" = set"; then  
25273    
25274        echo "$as_me:$LINENO: checking whether mbrtowc and mbstate_t are properly declared" >&5
25275    echo $ECHO_N "checking whether mbrtowc and mbstate_t are properly declared... $ECHO_C" >&6
25276    if test "${gl_cv_func_mbrtowc+set}" = set; then
25277    echo $ECHO_N "(cached) $ECHO_C" >&6    echo $ECHO_N "(cached) $ECHO_C" >&6
25278  else  else
25279    cat >conftest.$ac_ext <<_ACEOF    cat >conftest.$ac_ext <<_ACEOF
# Line 25248  _ACEOF Line 25282  _ACEOF
25282  cat confdefs.h >>conftest.$ac_ext  cat confdefs.h >>conftest.$ac_ext
25283  cat >>conftest.$ac_ext <<_ACEOF  cat >>conftest.$ac_ext <<_ACEOF
25284  /* end confdefs.h.  */  /* end confdefs.h.  */
25285  /* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.  #include <wchar.h>
    For example, HP-UX 11i <limits.h> declares gettimeofday.  */  
 #define $ac_func innocuous_$ac_func  
   
 /* System header to define __stub macros and hopefully few prototypes,  
     which can conflict with char $ac_func (); below.  
     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since  
     <limits.h> exists even on freestanding compilers.  */  
   
 #ifdef __STDC__  
 # include <limits.h>  
 #else  
 # include <assert.h>  
 #endif  
   
 #undef $ac_func  
   
 /* Override any gcc2 internal prototype to avoid an error.  */  
 #ifdef __cplusplus  
 extern "C"  
 {  
 #endif  
 /* We use char because int might match the return type of a gcc2  
    builtin and then its argument prototype would still apply.  */  
 char $ac_func ();  
 /* The GNU C library defines this for functions which it implements  
     to always fail with ENOSYS.  Some functions are actually named  
     something starting with __ and the normal name is an alias.  */  
 #if defined (__stub_$ac_func) || defined (__stub___$ac_func)  
 choke me  
 #else  
 char (*f) () = $ac_func;  
 #endif  
 #ifdef __cplusplus  
 }  
 #endif  
   
25286  int  int
25287  main ()  main ()
25288  {  {
25289  return f != $ac_func;  wchar_t wc;
25290                  char const s[] = "";
25291                  size_t n = 1;
25292                  mbstate_t state;
25293                  return ! (sizeof state && (mbrtowc) (&wc, s, n, &state));
25294    ;    ;
25295    return 0;    return 0;
25296  }  }
# Line 25315  if { (eval echo "$as_me:$LINENO: \"$ac_l Line 25317  if { (eval echo "$as_me:$LINENO: \"$ac_l
25317    ac_status=$?    ac_status=$?
25318    echo "$as_me:$LINENO: \$? = $ac_status" >&5    echo "$as_me:$LINENO: \$? = $ac_status" >&5
25319    (exit $ac_status); }; }; then    (exit $ac_status); }; }; then
25320    eval "$as_ac_var=yes"    gl_cv_func_mbrtowc=yes
25321  else  else
25322    echo "$as_me: failed program was:" >&5    echo "$as_me: failed program was:" >&5
25323  sed 's/^/| /' conftest.$ac_ext >&5  sed 's/^/| /' conftest.$ac_ext >&5
25324    
25325  eval "$as_ac_var=no"  gl_cv_func_mbrtowc=no
25326  fi  fi
25327  rm -f conftest.err conftest.$ac_objext \  rm -f conftest.err conftest.$ac_objext \
25328        conftest$ac_exeext conftest.$ac_ext        conftest$ac_exeext conftest.$ac_ext
25329  fi  fi
25330  echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5  echo "$as_me:$LINENO: result: $gl_cv_func_mbrtowc" >&5
25331  echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6  echo "${ECHO_T}$gl_cv_func_mbrtowc" >&6
25332  if test `eval echo '${'$as_ac_var'}'` = yes; then    if test $gl_cv_func_mbrtowc = yes; then
   cat >>confdefs.h <<_ACEOF  
 #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1  
 _ACEOF  
25333    
25334  else  cat >>confdefs.h <<\_ACEOF
25335    case $LIBOBJS in  #define HAVE_MBRTOWC 1
25336      "$ac_func.$ac_objext"   | \  _ACEOF
   *" $ac_func.$ac_objext"   | \  
     "$ac_func.$ac_objext "* | \  
   *" $ac_func.$ac_objext "* ) ;;  
   *) LIBOBJS="$LIBOBJS $ac_func.$ac_objext" ;;  
 esac  
25337    
25338  fi    fi
 done  
25339    
25340    
   if test $ac_cv_func_strstr = no; then  
     :  
   fi  
25341    
25342    
25343    
# Line 26063  esac Line 26053  esac
26053    *) LIBOBJS="$LIBOBJS fd-safer.$ac_objext" ;;    *) LIBOBJS="$LIBOBJS fd-safer.$ac_objext" ;;
26054  esac  esac
26055    
26056      case $LIBOBJS in
26057        "pipe-safer.$ac_objext"   | \
26058      *" pipe-safer.$ac_objext"   | \
26059        "pipe-safer.$ac_objext "* | \
26060      *" pipe-safer.$ac_objext "* ) ;;
26061      *) LIBOBJS="$LIBOBJS pipe-safer.$ac_objext" ;;
26062    esac
26063    
26064    
26065    
26066    
# Line 26620  esac Line 26618  esac
26618    
26619    
26620    
26621      case $LIBOBJS in
26622        "xgetcwd.$ac_objext"   | \
26623      *" xgetcwd.$ac_objext"   | \
26624        "xgetcwd.$ac_objext "* | \
26625      *" xgetcwd.$ac_objext "* ) ;;
26626      *) LIBOBJS="$LIBOBJS xgetcwd.$ac_objext" ;;
26627    esac
26628    
26629    
26630    
26631    
26632    
26633    
# Line 27328  else Line 27336  else
27336  fi;  fi;
27337    
27338    
27339                      acl_libdirstem=lib
27340      searchpath=`(LC_ALL=C $CC -print-search-dirs) 2>/dev/null | sed -n -e 's,^libraries: ,,p' | sed -e 's,^=,,'`
27341      if test -n "$searchpath"; then
27342        acl_save_IFS="${IFS=        }"; IFS=":"
27343        for searchdir in $searchpath; do
27344          if test -d "$searchdir"; then
27345            case "$searchdir" in
27346              */lib64/ | */lib64 ) acl_libdirstem=lib64 ;;
27347              *) searchdir=`cd "$searchdir" && pwd`
27348                 case "$searchdir" in
27349                   */lib64 ) acl_libdirstem=lib64 ;;
27350                 esac ;;
27351            esac
27352          fi
27353        done
27354        IFS="$acl_save_IFS"
27355      fi
27356    
27357    
27358    
27359    
27360    
27361    
# Line 27369  if test "${with_libiconv_prefix+set}" = Line 27397  if test "${with_libiconv_prefix+set}" =
27397    
27398        else        else
27399          additional_includedir="$withval/include"          additional_includedir="$withval/include"
27400          additional_libdir="$withval/lib"          additional_libdir="$withval/$acl_libdirstem"
27401        fi        fi
27402      fi      fi
27403    
# Line 27466  fi; Line 27494  fi;
27494            if test "X$found_dir" != "X"; then            if test "X$found_dir" != "X"; then
27495                          LTLIBICONV="${LTLIBICONV}${LTLIBICONV:+ }-L$found_dir -l$name"                          LTLIBICONV="${LTLIBICONV}${LTLIBICONV:+ }-L$found_dir -l$name"
27496              if test "X$found_so" != "X"; then              if test "X$found_so" != "X"; then
27497                                                          if test "$enable_rpath" = no || test "X$found_dir" = "X/usr/lib"; then                                                          if test "$enable_rpath" = no || test "X$found_dir" = "X/usr/$acl_libdirstem"; then
27498                                  LIBICONV="${LIBICONV}${LIBICONV:+ }$found_so"                                  LIBICONV="${LIBICONV}${LIBICONV:+ }$found_so"
27499                else                else
27500                                                                                  haveit=                                                                                  haveit=
# Line 27531  fi; Line 27559  fi;
27559              fi              fi
27560                          additional_includedir=                          additional_includedir=
27561              case "$found_dir" in              case "$found_dir" in
27562                */lib | */lib/)                */$acl_libdirstem | */$acl_libdirstem/)
27563                  basedir=`echo "X$found_dir" | sed -e 's,^X,,' -e 's,/lib/*$,,'`                  basedir=`echo "X$found_dir" | sed -e 's,^X,,' -e "s,/$acl_libdirstem/"'*$,,'`
27564                  additional_includedir="$basedir/include"                  additional_includedir="$basedir/include"
27565                  ;;                  ;;
27566              esac              esac
# Line 27581  fi; Line 27609  fi;
27609                  case "$dep" in                  case "$dep" in
27610                    -L*)                    -L*)
27611                      additional_libdir=`echo "X$dep" | sed -e 's/^X-L//'`                      additional_libdir=`echo "X$dep" | sed -e 's/^X-L//'`
27612                                                                                                                                                                  if test "X$additional_libdir" != "X/usr/lib"; then                                                                                                                                                                  if test "X$additional_libdir" != "X/usr/$acl_libdirstem"; then
27613                        haveit=                        haveit=
27614                        if test "X$additional_libdir" = "X/usr/local/lib"; then                        if test "X$additional_libdir" = "X/usr/local/$acl_libdirstem"; then
27615                          if test -n "$GCC"; then                          if test -n "$GCC"; then
27616                            case $host_os in                            case $host_os in
27617                              linux* | gnu* | k*bsd*-gnu) haveit=yes;;                              linux* | gnu* | k*bsd*-gnu) haveit=yes;;
# Line 28121  echo "${ECHO_T}$LIBICONV" >&6 Line 28149  echo "${ECHO_T}$LIBICONV" >&6
28149    
28150    
28151    
28152    
28153      use_additional=yes      use_additional=yes
28154    
28155    acl_save_prefix="$prefix"    acl_save_prefix="$prefix"
# Line 28157  if test "${with_libintl_prefix+set}" = s Line 28186  if test "${with_libintl_prefix+set}" = s
28186    
28187        else        else
28188          additional_includedir="$withval/include"          additional_includedir="$withval/include"
28189          additional_libdir="$withval/lib"          additional_libdir="$withval/$acl_libdirstem"
28190        fi        fi
28191      fi      fi
28192    
# Line 28254  fi; Line 28283  fi;
28283            if test "X$found_dir" != "X"; then            if test "X$found_dir" != "X"; then
28284                          LTLIBINTL="${LTLIBINTL}${LTLIBINTL:+ }-L$found_dir -l$name"                          LTLIBINTL="${LTLIBINTL}${LTLIBINTL:+ }-L$found_dir -l$name"
28285              if test "X$found_so" != "X"; then              if test "X$found_so" != "X"; then
28286                                                          if test "$enable_rpath" = no || test "X$found_dir" = "X/usr/lib"; then                                                          if test "$enable_rpath" = no || test "X$found_dir" = "X/usr/$acl_libdirstem"; then
28287                                  LIBINTL="${LIBINTL}${LIBINTL:+ }$found_so"                                  LIBINTL="${LIBINTL}${LIBINTL:+ }$found_so"
28288                else                else
28289                                                                                  haveit=                                                                                  haveit=
# Line 28319  fi; Line 28348  fi;
28348              fi              fi
28349                          additional_includedir=                          additional_includedir=
28350              case "$found_dir" in              case "$found_dir" in
28351                */lib | */lib/)                */$acl_libdirstem | */$acl_libdirstem/)
28352                  basedir=`echo "X$found_dir" | sed -e 's,^X,,' -e 's,/lib/*$,,'`                  basedir=`echo "X$found_dir" | sed -e 's,^X,,' -e "s,/$acl_libdirstem/"'*$,,'`
28353                  additional_includedir="$basedir/include"                  additional_includedir="$basedir/include"
28354                  ;;                  ;;
28355              esac              esac
# Line 28369  fi; Line 28398  fi;
28398                  case "$dep" in                  case "$dep" in
28399                    -L*)                    -L*)
28400                      additional_libdir=`echo "X$dep" | sed -e 's/^X-L//'`                      additional_libdir=`echo "X$dep" | sed -e 's/^X-L//'`
28401                                                                                                                                                                  if test "X$additional_libdir" != "X/usr/lib"; then                                                                                                                                                                  if test "X$additional_libdir" != "X/usr/$acl_libdirstem"; then
28402                        haveit=                        haveit=
28403                        if test "X$additional_libdir" = "X/usr/local/lib"; then                        if test "X$additional_libdir" = "X/usr/local/$acl_libdirstem"; then
28404                          if test -n "$GCC"; then                          if test -n "$GCC"; then
28405                            case $host_os in                            case $host_os in
28406                              linux* | gnu* | k*bsd*-gnu) haveit=yes;;                              linux* | gnu* | k*bsd*-gnu) haveit=yes;;

Legend:
Removed from v.1.409  
changed lines
  Added in v.1.410

savannah-hackers-public@gnu.org
ViewVC Help
Powered by ViewVC 1.1.26